Debian Bug report logs - #404760
inetutils-inetd: [in.tftpd-hpda] received address was not AF_INET

version graph

Package: inetutils-inetd; Maintainer for inetutils-inetd is Guillem Jover <guillem@debian.org>; Source for inetutils-inetd is src:inetutils.

Reported by: Luca Capello <luca@pca.it>

Date: Thu, 28 Dec 2006 01:03:07 UTC

Severity: serious

Merged with 519316, 594422

Found in versions inetutils/2:1.5.dfsg.1-2, inetutils/2:1.6-3

Fixed in versions inetutils/2:1.8-1, inetutils/2:1.6-3.1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: inetutils-inetd: [in.tftpd-hpda] received address was not AF_INET
Date: Thu, 28 Dec 2006 01:54:36 +0100
[Message part 1 (text/plain, inline)]
Package: inetutils-inetd
Version: 2:1.5.dfsg.1-2
Severity: normal

Hello,

in the process of setting up dhcp3 + tftpd-hpa [1] to install Debian
etch via netboot (as explained at [2]), I got in touch with something
I consider a bug in inetutils-inetd.

The PXE client could obtain the address from the dhcp3 client, but
trying to connect to the tftpd, it shows the message "PXE-E32: TFTP
open timeout".  On the server syslog, I've the following error:

 in.tftpd[15638]: received address was not AF_INET, please check your
                  inetd config 
 inetd[15633]: /usr/sbin/in.tftpd: exit status 0x4c00

FYI, I tried the same dhcp3 + tftpd-hpa configuration with
openbsd-inetd and it works out-of-the-box.  Moreover, if I stop inetd
and then I start tftpd-hpa as a daemon, the netboot continues without
any problem.

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.20-rc1
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages inetutils-inetd depends on:
ii  inetutils-syslogd [system 2:1.5.dfsg.1-2 System logging daemon
ii  libc6                     2.3.6.ds1-9    GNU C Library: Shared libraries
ii  lsb-base                  3.1-22         Linux Standard Base 3.1 init scrip
ii  tcpd                      7.6.dbs-11     Wietse Venema's TCP wrapper utilit
ii  update-inetd              4.27-0.2       inetd.conf updater

inetutils-inetd recommends no packages.

-- no debconf information

Footnotes: 
[1] from a daily-upgraded sid
[2] I know the following guide is for sarge, but it was the most
    official I found: "4.6. Preparing Files for TFTP Net Booting"
      http://www.debian.org/releases/stable/i386/ch04s06.html.en
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. Full text and rfc822 format available.

Acknowledgement sent to s.hetze@linux-ag.com (Sebastian Hetze):
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. Full text and rfc822 format available.

Message #10 received at 404760@bugs.debian.org (full text, mbox):

From: s.hetze@linux-ag.com (Sebastian Hetze)
To: 404760@bugs.debian.org
Subject: inetutils-inetd: [in.tftpd-hpda] received address was not AF_INET
Date: Sat, 9 Aug 2008 13:22:15 +0200
To enable inetd startup for tftpd I changed the inetd.conf to

tftp dgram udp4 wait root /usr/sbin/in.tftpd in.tftpd -s /srv/tftp
           ^^^^

It appears that inetutils-inetd defaults to IPV6.
I consider the severity of this bug at least important, maybe even
serious because it breaks unrelated software and breaks the principle
of least surprise. In any case, the error message is misleading.

Regards,

  Sebastian Hetze
-- 
Sebastian Hetze
Mitglied des Vorstands
Linux Information Systems AG
Ehrenbergstr. 19, D-10245 Berlin

Fon: +49 30 726238-0, Fax: +49 30 726238-99
s.hetze@linux-ag.com, http://www.linux-ag.com
----------------------------------------------------------
Sitz der Gesellschaft: Putzbrunner Str. 71, 81739 München
Amtsgericht München: HRB 128 019
Vorstand: Rudolf Strobl, Sebastian Hetze
Aufsichtsrat: Michael Tarabochia (Vorsitzender)




Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. (Wed, 24 Sep 2008 10:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Lange <lange@informatik.uni-koeln.de>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. (Wed, 24 Sep 2008 10:06:08 GMT) Full text and rfc822 format available.

Message #15 received at 404760@bugs.debian.org (full text, mbox):

From: Thomas Lange <lange@informatik.uni-koeln.de>
To: 404760@bugs.debian.org, Luca Capello <luca@pca.it>
Subject: RE: inetutils-inetd: [in.tftpd-hpda] received address was not AF_INET
Date: Wed, 24 Sep 2008 12:04:54 +0200
I also think this bug is at least important. Since IPv4 is not dropped
in lenny, this may also be serious since it breaks other software. I
will set this bug to important now, but I like to get a feedback if
it's better to tag it serious.

-- 
regards Thomas




Severity set to `important' from `normal' Request was from Thomas Lange <lange@debian.org> to control@bugs.debian.org. (Wed, 24 Sep 2008 10:06:15 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 12 Sep 2010 14:51:10 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Sun, 12 Sep 2010 14:51:10 GMT) Full text and rfc822 format available.

Message #22 received at 404760-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 404760-close@bugs.debian.org
Subject: Bug#404760: fixed in inetutils 2:1.8-1
Date: Sun, 12 Sep 2010 14:48:01 +0000
Source: inetutils
Source-Version: 2:1.8-1

We believe that the bug you reported is fixed in the latest version of
inetutils, which is due to be installed in the Debian FTP archive:

inetutils-ftp_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-ftp_1.8-1_amd64.deb
inetutils-ftpd_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-ftpd_1.8-1_amd64.deb
inetutils-inetd_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-inetd_1.8-1_amd64.deb
inetutils-ping_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-ping_1.8-1_amd64.deb
inetutils-syslogd_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-syslogd_1.8-1_amd64.deb
inetutils-talk_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-talk_1.8-1_amd64.deb
inetutils-talkd_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-talkd_1.8-1_amd64.deb
inetutils-telnet_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-telnet_1.8-1_amd64.deb
inetutils-telnetd_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-telnetd_1.8-1_amd64.deb
inetutils-tools_1.8-1_amd64.deb
  to main/i/inetutils/inetutils-tools_1.8-1_amd64.deb
inetutils_1.8-1.debian.tar.gz
  to main/i/inetutils/inetutils_1.8-1.debian.tar.gz
inetutils_1.8-1.dsc
  to main/i/inetutils/inetutils_1.8-1.dsc
inetutils_1.8.orig.tar.gz
  to main/i/inetutils/inetutils_1.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 404760@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated inetutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Sep 2010 16:00:53 +0200
Source: inetutils
Binary: inetutils-ftp inetutils-ftpd inetutils-inetd inetutils-ping inetutils-syslogd inetutils-talk inetutils-talkd inetutils-telnet inetutils-telnetd inetutils-tools
Architecture: source amd64
Version: 2:1.8-1
Distribution: experimental
Urgency: low
Maintainer: Guillem Jover <guillem@debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 inetutils-ftp - File Transfer Protocol client
 inetutils-ftpd - File Transfer Protocol server
 inetutils-inetd - internet super server
 inetutils-ping - ICMP echo tool
 inetutils-syslogd - system logging daemon
 inetutils-talk - talk to another user
 inetutils-talkd - remote user communication server
 inetutils-telnet - telnet client
 inetutils-telnetd - telnet server
 inetutils-tools - base networking utilities (experimental package)
Closes: 404760 503567 515070 519316 565137 590128 594422
Changes: 
 inetutils (2:1.8-1) experimental; urgency=low
 .
   * New upstream release.
     - Implement “ping -w timeout”. (Closes: #565137)
     - debian/patches/01_no_link_extralibs.patch: Remove, merged upstream.
     - debian/patches/07_dev_test_e.patch: Likewise.
     - debian/patches/52_sigalarm.patch: Likewise.
     - debian/patches/99_acinclude_del_dnl.patch: Likewise.
     - debian/patches/99_ping_default_inf_count.patch: Likewise.
     - debian/patches/10_syslog_klog_doc.patch: Refreshed.
     - debian/patches/22_syslogd_conf.patch: Likewise.
     - debian/patches/30_ping_suid_perms.patch: Likewise.
     - debian/patches/50_split_load_conffile.patch: Likewise.
     - debian/patches/51_add_load_confdir_support.patch: Likewise.
     - debian/patches/53_man_inetd_max_conn.patch: Likewise.
   * Upstream switched to generate man pages from --help output, which is
     a regression from previous man pages inherited from BSD. Revert the
     removal and disable help2man logic.
     - debian/patches/01_revert_manpage_removal.patch: New file.
   * Install man pages for inetutils-ifconfig and ping6.
   * Fix man page warnings.
   * Switch to source format “3.0 (quilt)”:
     - Remove quilt from Build-Depends.
     - Remove quilt.make include from debian/rules.
     - Remove patch and unpatch targets from debian/rules.
     - Remove now unneeded quilt references in debian/README.source.
   * Remove Marcus Brinkmann and Jeff Bailey from Uploaders field, thanks for
     your previous work! (Closes: #503567)
   * Switch Vcs fields to the new git repositories.
   * Explicitly include BSD licenses into debian/copyright, instead of
     referencing generic and non-matching file from common-licenses.
   * Now using Standards-Version 3.9.1.
   * Remove obsolete and unused libopie-dev Build-Depends.
   * Do not segfault in inetd when a service does not have any argument.
     (Closes: #515070, #590128)
   * Make inetd listen on ports when enabling tcpmux services.
   * Change inetd “tcp” and “udp” service protocol semantics to default them
     to IPv4 only connections. Change “tcp6” and “udp6” to accept IPv4 mapped
     addresses. And add “tcp6only” and “udp6only” for IPv6 only connections.
     (Closes: #404760, #519316, #594422)
Checksums-Sha1: 
 ed4b016d470771e267d7c8be26c446be95362faa 1490 inetutils_1.8-1.dsc
 598445859b511f73681e4d74a41d65cd6ae0f83e 1853512 inetutils_1.8.orig.tar.gz
 ad4b9258411250324f29cdebc90608f8485adfac 82264 inetutils_1.8-1.debian.tar.gz
 8006af0ef10b1b8ebc75ed371da987386b0e7712 153782 inetutils-ftp_1.8-1_amd64.deb
 c5774afd655951b21ce2f0399ed7fe6c9f0b1c17 152150 inetutils-ftpd_1.8-1_amd64.deb
 98bc2ca0ea3f95680da36ad8f42808e2a3d31e7e 128026 inetutils-inetd_1.8-1_amd64.deb
 9a7cfe3e86ea733d452eb08c978d0ee177950077 151660 inetutils-ping_1.8-1_amd64.deb
 30de2b2901de04ad87d84062c8a069a5ba8b1e5b 130728 inetutils-syslogd_1.8-1_amd64.deb
 2995499a1664f2972659ef73ac49ed53190be007 117004 inetutils-talk_1.8-1_amd64.deb
 77ce61c292d1f782d022279b182b5103c4204494 152652 inetutils-talkd_1.8-1_amd64.deb
 3d374f8a1406bd0aaff5861af8ee45e20597bc7a 169116 inetutils-telnet_1.8-1_amd64.deb
 4ea5b7c2f2caf4c78e3e80577c7c5c11caf86997 151792 inetutils-telnetd_1.8-1_amd64.deb
 95fc32f89a6f66afac05fe79cc4c9811decbe51f 126358 inetutils-tools_1.8-1_amd64.deb
Checksums-Sha256: 
 db70d0f26af19fa2db1232e5a23bf674f7643b927f7c9bf0ed12e6885deb66e6 1490 inetutils_1.8-1.dsc
 c8500baee04b9ea408c9e65e24ad7f5b41e7d96d42fb1d29abf25b52b68311c7 1853512 inetutils_1.8.orig.tar.gz
 8579cb1695be4d2ba88793e4136de1e26f6488515cca4b325d4b74fee7bcae81 82264 inetutils_1.8-1.debian.tar.gz
 fe675fbe7efa06ed2eff36fbbb4701f570a71764ef46bb8a0762b4ba217bdc14 153782 inetutils-ftp_1.8-1_amd64.deb
 df2c895a330a16d6615d360422c2acc53ebe5ee523a50f43220cba90b2e55bb2 152150 inetutils-ftpd_1.8-1_amd64.deb
 c4f7e51c25ab28896e220c06239062080d1836cb857c2b7cd98adc49e53748b4 128026 inetutils-inetd_1.8-1_amd64.deb
 648769b0334f14449860c5297d4b0535057a3499c3ba36a8e9a8a2787f5aeb6f 151660 inetutils-ping_1.8-1_amd64.deb
 97074456a4389c04f7df108f1fd7deb9307c72f27386d372ae6aac30339d5b8b 130728 inetutils-syslogd_1.8-1_amd64.deb
 6c3b66de0f4f19b1997eeac965ea624f77185c9197943d8033a6e390a40cd1d8 117004 inetutils-talk_1.8-1_amd64.deb
 c74c5f8f14efe260a43767ef8358dc3fb03011611534a0be5b712be8a4dd0fa7 152652 inetutils-talkd_1.8-1_amd64.deb
 5c300e455fcff050dc94e7a2b104c6cc38deffca856b3fa7bb260f74737a0f48 169116 inetutils-telnet_1.8-1_amd64.deb
 01a114edf5a77e00b9ad78204858f6298e999b567f5d74445ab5f68d717699f5 151792 inetutils-telnetd_1.8-1_amd64.deb
 4aa994f7701ffc0acafc4eac008a6295c58da71d16cb2cf1713c4fa4d56b0ae0 126358 inetutils-tools_1.8-1_amd64.deb
Files: 
 7c057d126e5202592b6805666f9a8565 1490 net extra inetutils_1.8-1.dsc
 ad8fdcdf1797b9ca258264a6b04e48fd 1853512 net extra inetutils_1.8.orig.tar.gz
 71751fd8f3cbd4f6cf8e1b07724d2581 82264 net extra inetutils_1.8-1.debian.tar.gz
 a109b6552f93d6775992a9a14492e240 153782 net extra inetutils-ftp_1.8-1_amd64.deb
 caffb9ebc13ce1e1b4d172d9da830bb3 152150 net extra inetutils-ftpd_1.8-1_amd64.deb
 fd0ed72c26e603a71e0756a684e1133e 128026 net extra inetutils-inetd_1.8-1_amd64.deb
 c2be65d6e4ed0707bfc802d66b7b12cb 151660 net extra inetutils-ping_1.8-1_amd64.deb
 556911787682d202f379ac499e5b02e8 130728 net extra inetutils-syslogd_1.8-1_amd64.deb
 87969c80bf6d7bde0cd01a62d5c7da0a 117004 net extra inetutils-talk_1.8-1_amd64.deb
 3dec147fe9d3f63a9911773e477b3e66 152652 net extra inetutils-talkd_1.8-1_amd64.deb
 527d4238ed4e265765d62f239a89f6d7 169116 net extra inetutils-telnet_1.8-1_amd64.deb
 29f6ebab6332201bea32986ad02d65fc 151792 net extra inetutils-telnetd_1.8-1_amd64.deb
 d52d019aaf6be2cb9ae7f3fb038b9794 126358 net extra inetutils-tools_1.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyM5TwACgkQuW9ciZ2SjJt8tACfe05gWQG5vBPrA57U1h8AdzlB
v8oAoOJlLab6upuCKkL3gKrU2mfYZ6qc
=sV0v
-----END PGP SIGNATURE-----





Forcibly Merged 404760 519316 594422. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 12 Sep 2010 14:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. (Sun, 14 Nov 2010 16:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. (Sun, 14 Nov 2010 16:09:06 GMT) Full text and rfc822 format available.

Message #29 received at 404760@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 404760@bugs.debian.org
Subject: Re: Bug#404760 closed: fixed in inetutils 2:1.8-1
Date: Sun, 14 Nov 2010 16:07:19 +0000
Hello,

  Could you consider backporting the fix to unstable/testing?

On Sun, Sep 12, 2010 at 02:51:10PM +0000, Debian Bug Tracking System wrote:
> #404760: inetutils-inetd: [in.tftpd-hpda] received address was not AF_INET

< zumbi> #404760 needs to be unblocked?
< jcristau> zumbi: there's a freeze exception request.  no decision yet, as it came with lots of changes.
< zumbi> jcristau: thanks - i was trying to ping guillem and see if fix is backportable
< adsb> It looked like it should be backportable from my look over the diff a few months ago. There were a lot of other changes though, as jcristau said :-/
< adsb> iirc we appear to be one of the few distributions shipping inetutils at all, and the only one currently shipping our version
< jcristau> having just the rc bug fix(es?) in sid would make things easier...

Best regards,
  -- Héctor Orón




Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. (Sat, 27 Nov 2010 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. (Sat, 27 Nov 2010 14:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 404760@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Hector Oron <zumbi@debian.org>, 404760@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: Re: Bug#404760: closed: fixed in inetutils 2:1.8-1
Date: Sat, 27 Nov 2010 14:24:25 +0000
On Sun, 14 Nov 2010 at 16:07:19 +0000, Hector Oron wrote:
>   Could you consider backporting the fix to unstable/testing?

I had a go at backporting the fixes that looked important. I haven't tested
this work-in-progress version yet, but it compiles...

http://git.debian.org/?p=users/smcv/qa/inetutils.git;a=shortlog;h=refs/heads/squeeze

Guillem: any chance you could pick this up, or advise on any other changes
that are important to have in squeeze?

Regards,
    Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. (Sun, 05 Dec 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. (Sun, 05 Dec 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #39 received at 404760@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: Hector Oron <zumbi@debian.org>, 404760@bugs.debian.org, debian-release@lists.debian.org, Guillem Jover <guillem@debian.org>
Subject: Re: Bug#404760: closed: fixed in inetutils 2:1.8-1
Date: Sun, 05 Dec 2010 21:39:28 +0100
[ CC'ing explicitly Guillem in case he missed the mail ]

On 11/27/2010 03:24 PM, Simon McVittie wrote:
> On Sun, 14 Nov 2010 at 16:07:19 +0000, Hector Oron wrote:
>>   Could you consider backporting the fix to unstable/testing?
> 
> I had a go at backporting the fixes that looked important. I haven't tested
> this work-in-progress version yet, but it compiles...
> 
> http://git.debian.org/?p=users/smcv/qa/inetutils.git;a=shortlog;h=refs/heads/squeeze
> 
> Guillem: any chance you could pick this up, or advise on any other changes
> that are important to have in squeeze?
> 

ping?

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#404760; Package inetutils-inetd. (Mon, 06 Dec 2010 04:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. (Mon, 06 Dec 2010 04:09:05 GMT) Full text and rfc822 format available.

Message #44 received at 404760@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Mehdi Dogguy <mehdi@debian.org>, 404760@bugs.debian.org
Cc: Simon McVittie <smcv@debian.org>, Hector Oron <zumbi@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#404760: closed: fixed in inetutils 2:1.8-1
Date: Mon, 6 Dec 2010 05:05:54 +0100
Hi!

On Sun, 2010-12-05 at 21:39:28 +0100, Mehdi Dogguy wrote:
> [ CC'ing explicitly Guillem in case he missed the mail ]
> 
> On 11/27/2010 03:24 PM, Simon McVittie wrote:
> > On Sun, 14 Nov 2010 at 16:07:19 +0000, Hector Oron wrote:
> >>   Could you consider backporting the fix to unstable/testing?
> > 
> > I had a go at backporting the fixes that looked important. I haven't tested
> > this work-in-progress version yet, but it compiles...
> > 
> > http://git.debian.org/?p=users/smcv/qa/inetutils.git;a=shortlog;h=refs/heads/squeeze
> > 
> > Guillem: any chance you could pick this up, or advise on any other changes
> > that are important to have in squeeze?

I guess the inetd se_v4mapped logical inversion fix and the “ping -w”
support, both from upstream 1.8, would be important to have. But then
at that point the 1.6 Debian release would be the same as the one in
unstable except for the indentation changes, the header cleanups, the
unconditionalization of free() calls and the argp switch, which I
pointed out on my initial freeze exception request.

I've hesitated to repeat the work for the 1.6 release as it had already
been done for 1.8, hoping the RT would approve the one in unstable to
migrate to testing. As I'm assuming this will not be the case, and
you've now done already most of the work (except for those two changes
I'd recommend including), feel free to handle the NMU targetting t-p-u.

> ping?

Sorry, wanted to handle the mail the other day but it slipped through
the cracks.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. (Wed, 08 Dec 2010 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. (Wed, 08 Dec 2010 23:06:03 GMT) Full text and rfc822 format available.

Message #49 received at 404760@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 404760@bugs.debian.org, Hector Oron <zumbi@debian.org>, debian-release@lists.debian.org
Subject: Re: Bug#404760: closed: fixed in inetutils 2:1.8-1
Date: Wed, 8 Dec 2010 23:03:51 +0000
On Mon, 06 Dec 2010 at 05:05:54 +0100, Guillem Jover wrote:
> I guess the inetd se_v4mapped logical inversion fix and the “ping -w”
> support, both from upstream 1.8, would be important to have.

My backport of making tcp/udp be v4-only already included the inversion fix
as part of the conflict resolution, in fact. I've added the ping -w patch and
put an updated proto-NMU here:
http://git.debian.org/?p=users/smcv/qa/inetutils.git;a=shortlog;h=refs/heads/squeeze

I've done some basic testing, but I don't really know what to look for in this
package, so I'm not really comfortable with NMUing this without some review,
and to be honest I'd prefer a maintainer upload. (I also don't have a kFreeBSD
machine around to test that aspect of it.)

While smoke-testing it I did notice http://bugs.debian.org/559744 (the escape
character in telnet doesn't work), which seems pretty glaring, and has been
open for a year. I'm somewhat surprised anyone uses this variant of telnet
with that bug present (it'd certainly drive me mad), particularly with
netkit-telnet and telnet-ssl both available on all release architectures too;
does the inetutils version have any killer advantages?

A lot of the binary packages in inetutils don't seem to have any compelling
advantages over their higher-package-priority counterparts, in fact; if some
of them don't work very well, might it be worth dropping some binary packages?
The only thing in inetutils that seems to be particularly important is the
ping implementation, for kFreeBSD's benefit (because iputils is Linux-only).

> But then
> at that point the 1.6 Debian release would be the same as the one in
> unstable except for the indentation changes, the header cleanups, the
> unconditionalization of free() calls and the argp switch

... none of which really sound like changes to make during a freeze.

Regards,
    Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Guillem Jover <guillem@debian.org>:
Bug#404760; Package inetutils-inetd. (Sun, 09 Jan 2011 01:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Guillem Jover <guillem@debian.org>. (Sun, 09 Jan 2011 01:33:07 GMT) Full text and rfc822 format available.

Message #54 received at 404760@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: 404760@bugs.debian.org
Subject: t-p-u: inetutils/1.6-3.1
Date: Sun, 9 Jan 2011 01:29:59 +0000
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

I'd like RT permission for an NMU of inetutils to t-p-u. (Well, what I'd really
like is maintainer review of the backported patches and/or removal of the
package, but it's the only implementation of ping on kFreeBSD and I seem to
have touched it last...)

I've backed out the addition of "ping -w" support again, since the reason for
it seems to be nagios-plugins (which avoids using -w on kFreeBSD anyway) and
it's rather too late in the release process for that sort of thing.

inetutils (2:1.6-3.1) testing-proposed-updates; urgency=low

  * Non-maintainer upload.
  * Backport some of the maintainer's changes from sid, avoiding the new
    upstream version:
    - Remove obsolete and unused libopie-dev Build-Depends
    - Change inetd “tcp” and “udp” service protocol to IPv4 only
      (Closes: #404760, #519316, #594422)
    - Fix FTBFS on GNU/Hurd and GNU/kFreeBSD systems (Closes: #596638)
    - Fix IPv6 support in inetd and telnetd on GNU/kFreeBSD
    - Remove inactive co-maintainers
    - Switch Vcs fields to the new git repositories
    - Explicitly include BSD licenses into debian/copyright

 -- Simon McVittie <smcv@debian.org>  Sun, 09 Jan 2011 01:14:19 +0000

 debian/patches/0012-Do-not-check-for-unused-opie-library.patch                 |   26 +++
 debian/patches/0013-inetd-Change-protocol-semantics-in-inetd.conf.patch        |   77 ++++++++++
 debian/patches/0014-src-inetd.c-Use-exact-length-of-address-structure.patch    |   49 ++++++
 debian/patches/0015-telnetd-telnetd.c-Reuse-address-length.-Needed-for-O.patch |   37 ++++
 debian/patches/0016-Fix-FTBFS-on-GNU-Hurd-and-GNU-kFreeBSD-systems.patch       |   42 +++++
 inetutils-1.6/debian/changelog                                                 |   16 ++
 inetutils-1.6/debian/control                                                   |    7 
 inetutils-1.6/debian/control.in                                                |    5 
 inetutils-1.6/debian/copyright                                                 |   47 +++++-
 inetutils-1.6/debian/patches/series                                            |    5 
 10 files changed, 302 insertions(+), 9 deletions(-)

For the full changes, see
http://git.debian.org/?p=users/smcv/qa/inetutils.git;a=shortlog;h=refs/heads/squeeze

Regards,
    Simon




Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Wed, 12 Jan 2011 11:06:03 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Wed, 12 Jan 2011 11:06:03 GMT) Full text and rfc822 format available.

Message #59 received at 404760-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 404760-close@bugs.debian.org
Subject: Bug#404760: fixed in inetutils 2:1.6-3.1
Date: Wed, 12 Jan 2011 11:02:30 +0000
Source: inetutils
Source-Version: 2:1.6-3.1

We believe that the bug you reported is fixed in the latest version of
inetutils, which is due to be installed in the Debian FTP archive:

inetutils-ftp_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-ftp_1.6-3.1_kfreebsd-i386.deb
inetutils-ftpd_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-ftpd_1.6-3.1_kfreebsd-i386.deb
inetutils-inetd_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-inetd_1.6-3.1_kfreebsd-i386.deb
inetutils-ping_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-ping_1.6-3.1_kfreebsd-i386.deb
inetutils-syslogd_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-syslogd_1.6-3.1_kfreebsd-i386.deb
inetutils-talk_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-talk_1.6-3.1_kfreebsd-i386.deb
inetutils-talkd_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-talkd_1.6-3.1_kfreebsd-i386.deb
inetutils-telnet_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-telnet_1.6-3.1_kfreebsd-i386.deb
inetutils-telnetd_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-telnetd_1.6-3.1_kfreebsd-i386.deb
inetutils-tools_1.6-3.1_kfreebsd-i386.deb
  to main/i/inetutils/inetutils-tools_1.6-3.1_kfreebsd-i386.deb
inetutils_1.6-3.1.diff.gz
  to main/i/inetutils/inetutils_1.6-3.1.diff.gz
inetutils_1.6-3.1.dsc
  to main/i/inetutils/inetutils_1.6-3.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 404760@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@debian.org> (supplier of updated inetutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 09 Jan 2011 01:14:19 +0000
Source: inetutils
Binary: inetutils-ftp inetutils-ftpd inetutils-inetd inetutils-ping inetutils-syslogd inetutils-talk inetutils-talkd inetutils-telnet inetutils-telnetd inetutils-tools
Architecture: source kfreebsd-i386
Version: 2:1.6-3.1
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Guillem Jover <guillem@debian.org>
Changed-By: Simon McVittie <smcv@debian.org>
Description: 
 inetutils-ftp - File Transfer Protocol client
 inetutils-ftpd - File Transfer Protocol server
 inetutils-inetd - internet super server
 inetutils-ping - ICMP echo tool
 inetutils-syslogd - system logging daemon
 inetutils-talk - talk to another user
 inetutils-talkd - remote user communication server
 inetutils-telnet - telnet client
 inetutils-telnetd - telnet server
 inetutils-tools - base networking utilities (experimental package)
Closes: 404760 519316 594422 596638
Changes: 
 inetutils (2:1.6-3.1) testing-proposed-updates; urgency=low
 .
   * Non-maintainer upload.
   * Backport some of the maintainer's changes from sid, avoiding the new
     upstream version:
     - Remove obsolete and unused libopie-dev Build-Depends
     - Change inetd “tcp” and “udp” service protocol to IPv4 only
       (Closes: #404760, #519316, #594422)
     - Fix FTBFS on GNU/Hurd and GNU/kFreeBSD systems (Closes: #596638)
     - Fix IPv6 support in inetd and telnetd on GNU/kFreeBSD
     - Remove inactive co-maintainers
     - Switch Vcs fields to the new git repositories
     - Explicitly include BSD licenses into debian/copyright
Checksums-Sha1: 
 7349e38df0e5d24e7b92e14c232518348ccf8dac 2086 inetutils_1.6-3.1.dsc
 6846aa49555654481dc94a86e960eb8bc0e3d049 28767 inetutils_1.6-3.1.diff.gz
 180b39a8a168ac736cf7cc636478d1ea9d2a5aa8 130500 inetutils-ftp_1.6-3.1_kfreebsd-i386.deb
 df20c6fc2ba7464c8530591feeed2ce107a5ab2d 117976 inetutils-ftpd_1.6-3.1_kfreebsd-i386.deb
 56c7a2a43db5b8e2950643f763a50fec30f24052 107930 inetutils-inetd_1.6-3.1_kfreebsd-i386.deb
 6b018ff2874b735cb23920657127efe0d04af854 126108 inetutils-ping_1.6-3.1_kfreebsd-i386.deb
 259ce45cb57d42827522f6ebf5f5b52dde075aa0 111030 inetutils-syslogd_1.6-3.1_kfreebsd-i386.deb
 68bddb070072a64d0ae59c82723f4b78a03a4fea 84454 inetutils-talk_1.6-3.1_kfreebsd-i386.deb
 4c61cbb978790cdcd0fb5ce656d464b003848329 98662 inetutils-talkd_1.6-3.1_kfreebsd-i386.deb
 81d9905887da8db0d9ff117b8405f59b6bb302cf 129758 inetutils-telnet_1.6-3.1_kfreebsd-i386.deb
 0589354996b108e708072a41ad9598b1e7dcbccf 115012 inetutils-telnetd_1.6-3.1_kfreebsd-i386.deb
 c1405954f8b93bf824436a7c2d4c833134995aa0 84126 inetutils-tools_1.6-3.1_kfreebsd-i386.deb
Checksums-Sha256: 
 f7f6050a90981a23bdb5af2f607ec2cd33c59cf9058c8ea3de65a46fc92be27b 2086 inetutils_1.6-3.1.dsc
 f8b190bbb4062d7b852ac994f5e7700b0282fe175cffa32ade1cd5588ae9824b 28767 inetutils_1.6-3.1.diff.gz
 f97a6eb89705de2ac427b729b7222176623bfee230c5f48e9336e9fe7401e3fe 130500 inetutils-ftp_1.6-3.1_kfreebsd-i386.deb
 a86148052158d8b7d9995ced1e69a85c5f2ba1dfcd7722c60c7f852573531a1c 117976 inetutils-ftpd_1.6-3.1_kfreebsd-i386.deb
 a641ff55183e8eb3fd9c3d39c1f7d9c4b19e2de272a5673991914d0e1954a6ae 107930 inetutils-inetd_1.6-3.1_kfreebsd-i386.deb
 3b4455490e6abfea44901591dcc001f9c1088dc438e2265ce80875b1a56aa744 126108 inetutils-ping_1.6-3.1_kfreebsd-i386.deb
 962e1d1a9c7b258eb0dc299b0cab3a2642f910c6bf8a9b30d62b742fc90fa490 111030 inetutils-syslogd_1.6-3.1_kfreebsd-i386.deb
 91065772bce8aaeaaf1686687f042710a7a07ef41dd43432dc3b221e7527aef8 84454 inetutils-talk_1.6-3.1_kfreebsd-i386.deb
 33b74caf30284893021cfc1fc2317d700132b5f18b7371f792f0477c527284f4 98662 inetutils-talkd_1.6-3.1_kfreebsd-i386.deb
 83bfbc5196a4f110f3ad0dedc3682c5237d9191a1e04faecd6e6344b10d4a4b9 129758 inetutils-telnet_1.6-3.1_kfreebsd-i386.deb
 69b2eeb24e5fbe57e7252ba8482707e43be75b21b1cb9f80a4e93c101f2eb6e1 115012 inetutils-telnetd_1.6-3.1_kfreebsd-i386.deb
 e04769cdda6269aac5a31b6a1589aaa553adef2610fcd5e007523bd0a78f87e4 84126 inetutils-tools_1.6-3.1_kfreebsd-i386.deb
Files: 
 67c749698ac14e230565115fa738010b 2086 net extra inetutils_1.6-3.1.dsc
 34179a1fb582ab5796ce95888b1d5a18 28767 net extra inetutils_1.6-3.1.diff.gz
 048699504a0d262e971d1e7d6618d7ce 130500 net standard inetutils-ftp_1.6-3.1_kfreebsd-i386.deb
 66b72e8a4bafa25ef0d2e8016bf64b0e 117976 net standard inetutils-ftpd_1.6-3.1_kfreebsd-i386.deb
 2aeda4d7eb999c4b24bf603e147102a5 107930 net standard inetutils-inetd_1.6-3.1_kfreebsd-i386.deb
 f3e975ea9310d15fc773c1d1836fe0fc 126108 net standard inetutils-ping_1.6-3.1_kfreebsd-i386.deb
 7586d079efe758aa6ccaff7381d7ea23 111030 base required inetutils-syslogd_1.6-3.1_kfreebsd-i386.deb
 c8a7b9b130164c231ca79ea49f63cfd6 84454 net standard inetutils-talk_1.6-3.1_kfreebsd-i386.deb
 3185aa1298019de7033b595a00ce670b 98662 net standard inetutils-talkd_1.6-3.1_kfreebsd-i386.deb
 a527005558c1281349adb7b748557fdd 129758 net standard inetutils-telnet_1.6-3.1_kfreebsd-i386.deb
 edee1d1a32d47a0d7a94d1371183d03c 115012 net standard inetutils-telnetd_1.6-3.1_kfreebsd-i386.deb
 1ea032021c158e7cebd96f5a9511b543 84126 net standard inetutils-tools_1.6-3.1_kfreebsd-i386.deb

-----BEGIN PGP SIGNATURE-----

iQIVAwUBTS2CP03o/ypjx8yQAQiVxQ//X87SMTuQrMx8RiLYZLg6uf0/09byVBsS
Fqp994VHxx8/H1qK64BS3I7bnVbMvga2Lw0odAUJBS7HxLETvYt3Jn9JImja3gxj
ap1n9gnO6ABaFJ4Q6UhYcdehPF1CLCiambm9+08pGMA8qK4ZZKmJm5lFl1Uspm+B
rbAeDwKoaiacDaqrvGMgsFdQxRMrM+e8JdpFK31mSIQ9HzXP3R3BC0jbGi8db7oT
QMOnuldw1wvtmSAjuXjDEXvvhe7ViJ3Nl9L7wuJwDuMtzAv2JX+VKF6QBzDMAcKY
vtkzIaqkOosaWrpW0avzjxWPO2NLGF2J9olPT/UKtUf1g6KjLDKHfnGPLri0Dc0V
owwtvG6krieGoET9B8AiHRrJPvzm7qrinkSCYP8DaA75FVr6nxZtBWoVSIsYA6H+
n+tX6tOUtfSkc0HnTyUriYI7nsWuZb1R7T0Ax0ewk4JiBRutOGYacbbF5HTjWVbM
3AWigBalydByGtMwcZjlSOBwWhLGJ8HNf4xlXlnCJh1a/7Ag/lwcvtaX9F3J865u
jw8Qg38TDKiOVdIaYVZZl8gK9eCoQxBTq+jVgSlrFRtiBjGlUHQiInJKj3Pz/iNG
yg/f3ScHt4HbCF2XYf0LKO5ic9gYWiu1Z9kh5876S70jTM1dJqiQdCIJRpsMFNcc
fG/NCxYo+7o=
=liX1
-----END PGP SIGNATURE-----





Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Wed, 12 Jan 2011 11:06:04 GMT) Full text and rfc822 format available.

Notification sent to Dale <dale@BriannasSaladDressing.com>:
Bug acknowledged by developer. (Wed, 12 Jan 2011 11:06:04 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Wed, 12 Jan 2011 11:06:05 GMT) Full text and rfc822 format available.

Notification sent to peasthope@shaw.ca:
Bug acknowledged by developer. (Wed, 12 Jan 2011 11:06:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:04:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:58:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.